Imports System
Imports System.Data
Imports System.Configuration
Imports System.Web
Imports System.Web.Security
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts
Imports System.Web.UI.HtmlControls
Imports System.IO

Partial Public Class _Default
	Inherits System.Web.UI.Page

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
		Result.Text = ""
	End Sub
	Protected Sub Button1_Click(ByVal sender As Object, ByVal e As EventArgs)
		Dim v As New SautinSoft.PdfVision()

		Dim tiffBytes() As Byte = Nothing
		Dim pdfBytes() As Byte = Nothing

		If FileUpload1.FileBytes.Length > 0 Then
			'get bytes from image
			tiffBytes = FileUpload1.FileBytes
		Else
			Result.Text = "Please select image file at first!"
		End If

		'convert image stream to pdf stream
		pdfBytes = v.ConvertImageStreamToPdfStream(tiffBytes)


		'show PDF
		If pdfBytes IsNot Nothing Then
			Response.Buffer = True
			Response.Clear()
			Response.ContentType = "application/PDF"
			'Response.AddHeader("Content-Disposition:", "attachment; filename=Result.pdf");
			Response.AddHeader("Content-Disposition:", "inline; filename=Result.pdf")
			Response.BinaryWrite(pdfBytes)
			Response.Flush()
			Response.End()
		Else
			Result.Text = "Converting failed!"
		End If
	End Sub
End Class
