using System;
using System.IO;

namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{

			//Convert PNG file to PDF file
			SautinSoft.PdfVision v = new SautinSoft.PdfVision();
			//v.Serial = "XXXXXXXXXXXXXXX";
			
			//specify converting options
			v.PageStyle.PageSize.Auto();
			//v.PageStyle.PageMarginLeft.Inch(1);
			//v.ImageStyle.Heightmm(150);
			//v.ImageStyle.WidthInch(10);

			//To make PDF optimal by size and quality we recommend following:
			//For JPEG images  specify the quality to 80, for PNG and GIF set it to 100
			v.ImageStyle.Quality=100;
			

			int ret = v.ConvertImageFileToPDFFile(@"..\..\..\..\..\image2.png", @"..\..\..\..\..\hardcopy.pdf");

			//0 - converting successfully
			//1 - can't open input file, check the input path
			//2 - can't create output file, check the output path
			//3 - converting failed
			if(ret==0 )
			{
				//Show produced PDF in Acrobat Reader
				System.Diagnostics.Process.Start(@"..\..\..\..\..\hardcopy.pdf");
			}
		}
	}
}
