using System;
using System.IO;
using System.Collections;

namespace Sample
{
    class Test
    {

        static void Main(string[] args)
        {

            //Convert HTML file/url to PDF file
            SautinSoft.PdfVision v = new SautinSoft.PdfVision();

            v.PageStyle.PageOrientation.Portrait();
            string directoryWithHTMLs = @"d:\Tempos\";
            string pathToSinglePdf = @"d:\Tempos\Big_Pdf.pdf";

            //Convert all HTML files from directory to PDF file
            string[] htmlFiles = Directory.GetFiles(directoryWithHTMLs, "*.htm*");
            ArrayList pdfDocuments = new ArrayList();

            foreach (string htmlFile in htmlFiles)
            {
                pdfDocuments.Add(v.ConvertHtmlFileToPDFStream(htmlFile));
            }

            try
            {
                File.WriteAllBytes(pathToSinglePdf, v.MergePDFStreamArrayToPDFStream(pdfDocuments));
            }
            catch
            {
                return;
            }
            System.Diagnostics.Process.Start(@"d:\Tempos\Big_Pdf.pdf");
        }
    }
}
