Imports System.IO

Namespace Sample
	Friend Class Test

		Shared Sub Main(ByVal args() As String)

			'Convert multipage TIFF file to PDF file
			Dim v As New SautinSoft.PdfVision()
			'v.Serial = "XXXXXXXXXXXXXXX";

			'specify converting options
			v.PageStyle.PageSize.Auto()
			'v.PageStyle.PageMarginLeft.Inch(1);
			'v.ImageStyle.Heightmm(150);
			'v.ImageStyle.WidthInch(10);

			'To make PDF optimal by size and quality we recommend following:
			'For JPEG images  specify the quality to 80, for PNG and GIF set it to 100
			'For TIFF - if it's b/w document set it to 100 (default), for photo set it to 80 or less
			'v.ImageStyle.Quality=80;
			v.ImageStyle.Quality = 100
			'v.ImageStyle.Scale = 50

			' Specify a path to a TIFF file, e.g. "c:\my Funny Picture.tiff"
			Dim tiffPath As String = Path.GetFullPath("..\..\..\..\..\Sample TIFF files\pic1.tiff")
			Dim pdfPath As String = Path.ChangeExtension(tiffPath, ".pdf")

			'Convert image file to pdf
			Dim ret As Integer = v.ConvertImageFileToPDFFile(tiffPath, pdfPath)

			'0 - converting successfully
			'1 - can't open input file, check the input path
			'2 - can't create output file, check the output path
			'3 - converting failed

			If ret = 0 Then
				'Show produced PDF in Acrobat Reader
				System.Diagnostics.Process.Start(pdfPath)
			End If
		End Sub
	End Class
End Namespace
